View Issue Details

IDProjectCategoryView StatusLast Update
0002942FreeCADBugpublic2017-03-27 17:29
ReporternemesisAssigned To 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformMacOSOsx El CapitanOS Version10.11.6
Product Version0.17 
Target VersionFixed in Version0.17 
Summary0002942: Qt5 - Osx - automatic trees selection after cancel
DescriptionWhen I cancel an operation, if I move the mouse over the tree, the operation/features in the tree are selected automatically.
I need to click once to cancel the selection. (valid on all files)
Steps To ReproduceOpen an existing file
double click on a feature to edit it (A pocket for instance)
cancel the editing
move the mouse over the tree
the feature are automatically selected
Additional Informationforum thread :
https://forum.freecadweb.org/viewtopic.php?f=3&t=21098
TagsMacOSX, Qt5

Relationships

child of 0002986 closedwmayer Port from Qt4 to Qt5 (Ongoing) 

Activities

nemesis

2017-03-05 14:58

reporter  

BugSelectTree.gif (Attachment missing)

blacey

2017-03-21 17:09

developer   ~0008681

Confirmed as fixed by PR-635

Related Changesets

FreeCAD: master c193dbe2

2017-03-21 16:36:53

wmayer

Details Diff
enable FREECAD_USE_QTOPENGL_WIDGET by default for Qt5, fixes 0002952, fixes 0001401 Affected Issues
0001401, 0002942, 0002952, 0002953, 0002986
mod - CMakeLists.txt Diff File

Issue History

Date Modified Username Field Change
2017-03-05 14:58 nemesis New Issue
2017-03-05 14:58 nemesis File Added: BugSelectTree.gif
2017-03-05 14:58 nemesis Tag Attached: MacOSX
2017-03-05 14:58 nemesis Tag Attached: Qt5
2017-03-21 17:09 blacey Note Added: 0008681
2017-03-21 19:47 wmayer Changeset attached => FreeCAD master c193dbe2
2017-03-21 19:48 wmayer Status new => closed
2017-03-21 19:48 wmayer Resolution open => fixed
2017-03-21 19:48 wmayer Fixed in Version => 0.17
2017-03-27 17:29 Kunda1 Relationship added child of 0002986